function zprime=fdamp_rhs(t,z)
% RHS for forced damped harmonic oscillator DE:
%  D2y + 2*c*Dy +  k^2*y = F0*cos(w*t)
% System is
%  y' = yp 
%  yp' = -2*c*yp - k^2*y +F0*cos(w*t) 
%    so z(1)= y, z(2)= yp

global c k w F0

zprime=[z(2); -2*c*z(2)-(k^2)*z(1)+F0*cos(w*t)]; 
